Bug 346231 - Kernel 2.6.23.1-23 and beyond (tested up to -30) broke AR5211 wireless drivers
Kernel 2.6.23.1-23 and beyond (tested up to -30) broke AR5211 wireless drivers
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-22 23:54 EDT by Wes Shaddix
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.23.1-31.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-02 15:51:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wes Shaddix 2007-10-22 23:54:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.6) Gecko/20071018 Fedora/2.0.0.6-12.fc8 Firefox/2.0.0.6

Description of problem:
When running kernel version 2.6.23.1-18, my Atheros AR5211 wireless card was recognized and worked as expected. It was probed and recognized in dmesg and NetworkManager was able to connect it to my wireless network. After upgrading to kernel 2.6.23.1-23, I now get an error in dmesg that the probe failed with error -22 and NetworkManager is unable to control the card. lspci -v still shows the correct hardware, but it does not work.

I don't know if it is relevant or not, but i notice in the -18 kernel that works, the ath_pci is detected before acpi assigns the irq, and in -23 which fails, acpi disabled the interrupt before ath_pci ran.  

2.6.23.1-18 dmesg
ath_pci 0000:02:02.0: AR5211 chip found: mac 4.4 phy 3.0
ACPI: PCI Interrupt 0000:02:00.0[A] -> GSI 16 (level, low) -> IRQ 16

2.6.23.1-18 lspci -v
02:02.0 Ethernet controller: Atheros Communications, Inc. AR5211 802.11ab NIC (rev 01)
        Subsystem: Askey Computer Corp. Unknown device 7005
        Flags: bus master, medium devsel, latency 168, IRQ 20
        Memory at c2000000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: [44] Power Management version 2

2.6.23.1-23 dmesg
ath_pci 0000:02:02.0: can't get channels
ACPI: PCI interrupt for device 0000:02:02.0 disabled
ath_pci: probe of 0000:02:02.0 failed with error -22

2.6.23.1-23 lspci -v
02:02.0 Ethernet controller: Atheros Communications, Inc. AR5211 802.11ab NIC (rev 01)
        Subsystem: Askey Computer Corp. Unknown device 7005
        Flags: medium devsel, IRQ 20
        Memory at c2000000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: [44] Power Management version 2

Version-Release number of selected component (if applicable):
2.6.23.1-23

How reproducible:
Always


Steps to Reproduce:
1. Install 2.6.23.1-23 or above kernel (tested up to -30)
2. Reboot
3. Run dmesg | grep ath_pci to see the failure

Actual Results:
wireless network does not work

Expected Results:
wireless network should work as in previous kernel versions (-18 and lower)

Additional info:
Toshiba Satellite P25-S507 laptop
Comment 1 John W. Linville 2007-10-23 10:07:08 EDT
ath_pci?  Sounds like madwifi...you'll have to install a new package from 
wherever you got it that matches the new kernel.  If that doesn't work, you'll 
have to seek support from them -- sorry, we can't support it here.
Comment 2 Chuck Ebbert 2007-10-23 13:03:01 EDT
drivers/net/wireless/ath5k/base.c line 2504:

static struct pci_driver ath_pci_drv_id = {
        .name           = "ath_pci",
        .id_table       = ath_pci_id_table,
        .probe          = ath_pci_probe,


line 2576:

static int __init init_ath_pci(void)
{
        int ret;

        ret = pci_register_driver(&ath_pci_drv_id);
        if (ret) {
                printk(KERN_ERR "ath_pci: can't register pci driver\n");
                return ret;
        }
Comment 3 Chuck Ebbert 2007-10-23 13:11:46 EDT
Related to bug 254192?
(See comment 44 in that bug)
Comment 4 John W. Linville 2007-10-23 13:34:33 EDT
ath_pci: sorry, was thinking of the actual module name (i.e. ath_pci.ko)

Re: bug 254192 comment 44, I think that may explain this.
Comment 5 John W. Linville 2007-10-23 19:29:06 EDT
Please try the test kernels here:

   http://koji.fedoraproject.org/koji/buildinfo?buildID=22061

Do these restore the lost functionality?
Comment 6 Wes Shaddix 2007-10-23 23:14:57 EDT
Yes. The -31 kernel does restore the lost functionality.

dmesg | grep ath_pci
 [<f8a20778>] ath_pci_probe+0x49d/0xfaa [ath5k]
 [<f8a34018>] init_ath_pci+0x18/0x40 [ath5k]
ath_pci 0000:02:02.0: AR5211 chip found: mac 4.4 phy 3.0

lspci -v
02:02.0 Ethernet controller: Atheros Communications, Inc. AR5211 802.11ab NIC
(rev 01)
        Subsystem: Askey Computer Corp. Unknown device 7005
        Flags: bus master, medium devsel, latency 168, IRQ 20
        Memory at c2000000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: [44] Power Management version 2

Note You need to log in before you can comment on or make changes to this bug.